Bug 1926267 - registry.redhat.io/openshift4/ose-pod image dose not work
Summary: registry.redhat.io/openshift4/ose-pod image dose not work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Routing
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.6.z
Assignee: Stephen Greene
QA Contact: Arvind iyengar
URL:
Whiteboard:
Depends On: 1896170
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-02-08 14:32 UTC by OpenShift BugZilla Robot
Modified: 2021-04-20 19:27 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-20 19:27:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift images pull 78 0 None open [release-4.6] Bug 1926267: Egress router: Add iptables package to Dockerfile 2021-03-02 14:15:28 UTC
Red Hat Product Errata RHBA-2021:1153 0 None None None 2021-04-20 19:27:48 UTC

Comment 3 Arvind iyengar 2021-03-25 10:47:28 UTC
Verified in "4.6.0-0.nightly-2021-03-24-095127". With this payload, it is observed that the registry.redhat.io/openshift4/ose-pod image gets deployed successfully without any errors:
------
 oc get clusterversion                 
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.6.0-0.nightly-2021-03-24-095127   True        False         64m     Cluster version is 4.6.0-0.nightly-2021-03-24-095127


oc  describe  pod egressrouter-redirect-pod 
Name:         egressrouter-redirect-pod
Namespace:    test1a
Priority:     0
Node:         ip-10-0-179-76.us-east-2.compute.internal/10.0.179.76
Start Time:   Thu, 25 Mar 2021 16:10:31 +0530
Labels:       name=egressrouter-redirect-pod
Annotations:  k8s.v1.cni.cncf.io/network-status:
                [{
                    "name": "",
                    "interface": "eth0",
                    "ips": [
                        "10.129.2.25"
                    ],
                    "default": true,
                    "dns": {}
                }]
              k8s.v1.cni.cncf.io/networks-status:
                [{
                    "name": "",
                    "interface": "eth0",
                    "ips": [
                        "10.129.2.25"
                    ],
                    "default": true,
                    "dns": {}
                }]
              openshift.io/scc: node-exporter
              pod.network.openshift.io/assign-macvlan: true
Status:       Running
IP:           10.129.2.25
IPs:
  IP:  10.129.2.25
Init Containers:
  egress-router:
    Container ID:   cri-o://99c0f6b1e2135a5c2f3f91211dbe0f1715ab2be58cd3f90bb627ba9a1e665910
    Image:          registry.redhat.io/openshift4/ose-egress-router
    Image ID:       registry.redhat.io/openshift4/ose-egress-router@sha256:1f7b7bc1b5f9801b68e9de603234d1b5a3c4d1ad726a39c57e775682d5eb0b22
    Port:           <none>
    Host Port:      <none>
    State:          Terminated
      Reason:       Completed
      Exit Code:    0
      Started:      Thu, 25 Mar 2021 16:10:45 +0530
      Finished:     Thu, 25 Mar 2021 16:10:45 +0530
    Ready:          True
    Restart Count:  0
    Environment:
      EGRESS_SOURCE:       172.31.249.146
      EGRESS_GATEWAY:      172.31.248.1
      EGRESS_DESTINATION:  172.217.7.142
      EGRESS_ROUTER_MODE:  init
    Mounts:
      /var/run/secrets/kubernetes.io/serviceaccount from default-token-fxdtg (ro)
Containers:
  egress-pod:
    Container ID:   cri-o://603ffcd040e45eec1c93ced678c024cfd98a92d247022ed4b838a32488db4103
    Image:          registry.redhat.io/openshift4/ose-pod
    Image ID:       registry.redhat.io/openshift4/ose-pod@sha256:00325624f585f2a222b4f3a979acebc59150f84c4a5d8979606f371a146c1c3e
    Port:           <none>
    Host Port:      <none>
    State:          Running
      Started:      Thu, 25 Mar 2021 16:10:48 +0530
    Ready:          True
    Restart Count:  0


oc logs  egressrouter-redirect-pod         
2021/03/25 10:40:48 Starting reaper
------

Comment 9 errata-xmlrpc 2021-04-20 19:27:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6.25 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:1153


Note You need to log in before you can comment on or make changes to this bug.